Not enough free handles to register service

Bug #1499858 reported by Cristian Aravena Romero on 2015-09-25
198
This bug affects 40 people
Affects Status Importance Assigned to Milestone
bluez (Ubuntu)
Medium
Unassigned
Xenial
Undecided
Unassigned

Bug Description

sep 25 11:03:01 username-530U3C-530U4C bluetoothd[650]: Failed to obtain handles for "Service Changed" characteristic
sep 25 11:03:01 username-530U3C-530U4C bluetoothd[650]: Not enough free handles to register service
sep 25 11:03:01 username-530U3C-530U4C bluetoothd[650]: Error adding Link Loss service
sep 25 11:03:01 username-530U3C-530U4C bluetoothd[650]: Not enough free handles to register service
sep 25 11:03:01 username-530U3C-530U4C bluetoothd[650]: Not enough free handles to register service
sep 25 11:03:01 username-530U3C-530U4C bluetoothd[650]: Not enough free handles to register service
sep 25 11:03:01 username-530U3C-530U4C bluetoothd[650]: Current Time Service could not be registered
sep 25 11:03:01 username-530U3C-530U4C bluetoothd[650]: gatt-time-server: Input/output error (5)
sep 25 11:03:01 username-530U3C-530U4C bluetoothd[650]: Not enough free handles to register service
sep 25 11:03:01 username-530U3C-530U4C bluetoothd[650]: Not enough free handles to register service
sep 25 11:03:01 username-530U3C-530U4C bluetoothd[650]: Sap driver initialization failed.
sep 25 11:03:01 username-530U3C-530U4C bluetoothd[650]: sap-server: Operation not permitted (1)

ProblemType: Bug
DistroRelease: Ubuntu 15.10
Package: bluez 5.34-0ubuntu1
ProcVersionSignature: Ubuntu 4.2.0-11.13-generic 4.2.1
Uname: Linux 4.2.0-11-generic x86_64
ApportVersion: 2.19-0ubuntu1
Architecture: amd64
CurrentDesktop: GNOME
Date: Fri Sep 25 16:37:42 2015
InstallationDate: Installed on 2015-07-26 (61 days ago)
InstallationMedia: Ubuntu-GNOME 15.10 "Wily Werewolf" - Alpha amd64 (20150723)
InterestingModules: rfcomm bnep btusb bluetooth
MachineType: SAMSUNG ELECTRONICS CO., LTD. 530U3C/530U4C
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.2.0-11-generic root=UUID=4f4435ca-b877-47a5-9065-3dd624c0514e ro rootflags=subvol=@ quiet splash vt.handoff=7
SourcePackage: bluez
UdevLog: Error: [Errno 2] No existe el archivo o el directorio: '/var/log/udev'
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 04/15/2013
dmi.bios.vendor: Phoenix Technologies Ltd.
dmi.bios.version: P14AAJ
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: SAMSUNG_NP1234567890
dmi.board.vendor: SAMSUNG ELECTRONICS CO., LTD.
dmi.board.version: FAB1
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 9
dmi.chassis.vendor: SAMSUNG ELECTRONICS CO., LTD.
dmi.chassis.version: 0.1
dmi.modalias: dmi:bvnPhoenixTechnologiesLtd.:bvrP14AAJ:bd04/15/2013:svnSAMSUNGELECTRONICSCO.,LTD.:pn530U3C/530U4C:pvr0.1:rvnSAMSUNGELECTRONICSCO.,LTD.:rnSAMSUNG_NP1234567890:rvrFAB1:cvnSAMSUNGELECTRONICSCO.,LTD.:ct9:cvr0.1:
dmi.product.name: 530U3C/530U4C
dmi.product.version: 0.1
dmi.sys.vendor: SAMSUNG ELECTRONICS CO., LTD.
hciconfig:
 hci0: Type: BR/EDR Bus: USB
  BD Address: C4:85:08:6C:01:0A ACL MTU: 310:10 SCO MTU: 64:8
  UP RUNNING PSCAN
  RX bytes:12620731 acl:54193 sco:0 events:799035 errors:0
  TX bytes:447934374 acl:1637190 sco:0 commands:1459 errors:0

Simon Fels (morphis) on 2015-09-26
tags: added: bluetooth bluez5

GDBus.Error:org...

Simon Fels (morphis) wrote :

Can you check if the package bluez-obexd is installed?

Hello Simon Fels,

caravena@caravena-530U3C-530U4C:~$ dpkg -l | grep bluez-obexd
ii bluez-obexd 5.34-0ubuntu1 amd64 bluez obex daemon

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in bluez (Ubuntu):
status: New → Confirmed
Simon Fels (morphis) on 2015-10-07
tags: added: after-bluez5
removed: bluez5
Changed in bluez (Ubuntu):
importance: Undecided → Medium
Laurent Simon (stratic) wrote :

Duplicate of #1490349 ?

I don't think it's a dupe, #1490349 describes similar behavior after stopping and starting bluetoothd. For me, anyway, bluetoothd starts as normal, works for about 10 minutes, and then gives the above behavior.

Christophe H (chrissc-humbert) wrote :
Download full text (3.9 KiB)

Hello

I have the same issue that just popped

Linux chris-linux 4.2.0-18-generic #22-Ubuntu SMP Fri Nov 6 18:25:50 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

01/12/2015 14:13:49 chris-linux kernel [ 5.969065] Bluetooth: Core ver 2.20
01/12/2015 14:13:49 chris-linux kernel [ 5.969077] Bluetooth: HCI device and connection manager initialized
01/12/2015 14:13:49 chris-linux kernel [ 5.969080] Bluetooth: HCI socket layer initialized
01/12/2015 14:13:49 chris-linux kernel [ 5.969082] Bluetooth: L2CAP socket layer initialized
01/12/2015 14:13:49 chris-linux kernel [ 5.969086] Bluetooth: SCO socket layer initialized
01/12/2015 14:13:49 chris-linux kernel [ 5.985612] Bluetooth: hci0: BCM: chip id 20
01/12/2015 14:13:49 chris-linux kernel [ 5.985617] Bluetooth: hci0: BCM (001.001.024) build 0000
01/12/2015 14:13:49 chris-linux kernel [ 6.335159] Bluetooth: hci0: BCM (001.001.024) build 0065
01/12/2015 14:13:49 chris-linux NetworkManager[881] <info> Loaded device plugin: NMBluezManager (/usr/lib/x86_64-linux-gnu/NetworkManager/libnm-device-plugin-bluetooth.so)
01/12/2015 14:13:49 chris-linux systemd[1] Starting Bluetooth service...
01/12/2015 14:13:49 chris-linux bluetoothd[1000] Bluetooth daemon 5.35
01/12/2015 14:13:49 chris-linux bluetoothd[1000] Starting SDP server
01/12/2015 14:13:49 chris-linux systemd[1] Started Bluetooth service.
01/12/2015 14:13:49 chris-linux systemd[1] Reached target Bluetooth.
01/12/2015 14:13:49 chris-linux kernel [ 7.075270] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
01/12/2015 14:13:49 chris-linux kernel [ 7.075273] Bluetooth: BNEP filters: protocol multicast
01/12/2015 14:13:49 chris-linux kernel [ 7.075277] Bluetooth: BNEP socket layer initialized
01/12/2015 14:13:49 chris-linux bluetoothd[1000] Bluetooth management interface 1.10 initialized
01/12/2015 14:13:49 chris-linux bluetoothd[1000] Failed to obtain handles for "Service Changed" characteristic
01/12/2015 14:13:49 chris-linux bluetoothd[1000] Not enough free handles to register service
01/12/2015 14:13:49 chris-linux bluetoothd[1000] Error adding Link Loss service
01/12/2015 14:13:49 chris-linux bluetoothd[1000] Not enough free handles to register service
01/12/2015 14:13:49 chris-linux bluetoothd[1000] message repeated 2 times: [ Not enough free handles to register service]
01/12/2015 14:13:49 chris-linux bluetoothd[1000] Current Time Service could not be registered
01/12/2015 14:13:49 chris-linux bluetoothd[1000] gatt-time-server: Input/output error (5)
01/12/2015 14:13:49 chris-linux bluetoothd[1000] Not enough free handles to register service
01/12/2015 14:13:49 chris-linux bluetoothd[1000] Not enough free handles to register service
01/12/2015 14:13:49 chris-linux bluetoothd[1000] Sap driver initialization failed.
01/12/2015 14:13:49 chris-linux bluetoothd[1000] sap-server: Operation not permitted (1)
01/12/2015 14:13:50 chris-linux NetworkManager[881] <info> (80:6A:B0:54:66:5F): new Bluetooth device (carrier: UNKNOWN, driver: 'bluez', ifindex: 0)
01/12/2015 14:14:05 chris-linux kernel [ 22.299266] Bluetooth: RFCOMM TTY layer initialized
01/12/2015 14:14:05 chris-linux kernel [ 22.299275] Bluetooth: RFCOMM socket laye...

Read more...

Graeme Hewson (ghewson) wrote :

I too see the syslog messages listed in the bug description, but I'm not sure how relevant they are.

To get an exact comparison, I did a live boot of 15.10 on a Samsung N150 and a Lenovo G50. On both machines I see the messages. On the N150, Bluetooth comes up fine. On the G50, Bluetooth is disabled, but I can enable it through the desktop settings and then it's fine.

The same thing happens with 15.10 installed on the Lenovo G50. Always, bluetooth is disabled after booting, but I can enable it through desktop settings.

The bug description doesn't say what problem the OP is experiencing. I see comment #7; how about other people?

frankie (frankie-etsetb) wrote :

This happens to me in Ubuntu 16.04. I have bluetooth dongle, when I plug it I got many messages from bluetoothd, it started with bluetoothd[8019]: Failed to obtain handles for "Service Changed" characteristic.

I temporary fixed it doing this: stop bluetooth, kill bluetoothd and obexd, start bluetooth:

$ sudo systemctl stop bluetooth
$ sudo killall -TERM bluetoothd
$ sudo killall -TERM obexd
$ sudo systemctl start bluetooth

Now when I plug the bluetooth dongle I can use it. I am pretty sure I will have to do it again when I reboot. Maybe removing the package bluez-obexd would fix it for good, but It will uninstall a lot of ubuntu dependencies so it is not an option.

It only stop the service if I disable it by bluetooth-manager.
the commands bellow not worked
sudo systemctl stop bluetooth
sudo service bluetooth stop

gaetano1984 (swoosh84) wrote :

the solution below to my conf doesn't work. keep needing help :**(

I temporary fixed it doing this: stop bluetooth, kill bluetoothd and obexd, start bluetooth:

$ sudo systemctl stop bluetooth
$ sudo killall -TERM bluetoothd
$ sudo killall -TERM obexd
$ sudo systemctl start bluetooth

tags: added: xenial
Deon Rodden (glitch-m) wrote :
Download full text (3.6 KiB)

I am running Ubuntu 16.04 on a Dell Precision 5510 Laptop and it has integrated bluetooth. Whenever I toggle on Bluetooth I get the same error:

Jun 22 10:45:19 drhorrible colord-sane: [bjnp] udp_command: ERROR - no data received
Jun 22 10:45:19 drhorrible colord-sane: [bjnp] bjnp_init_device_structure: Cannot read mac address, skipping this scanner
Jun 22 10:45:26 drhorrible systemd[1]: Starting Load/Save RF Kill Switch Status...
Jun 22 10:45:26 drhorrible systemd[1]: Started Load/Save RF Kill Switch Status.
Jun 22 10:45:26 drhorrible kernel: [ 5841.017815] usb 1-4: new full-speed USB device number 11 using xhci_hcd
Jun 22 10:45:26 drhorrible kernel: [ 5841.159093] usb 1-4: New USB device found, idVendor=8087, idProduct=0a2b
Jun 22 10:45:26 drhorrible kernel: [ 5841.159098] usb 1-4: New USB device strings: Mfr=0, Product=0, SerialNumber=0
Jun 22 10:45:26 drhorrible kernel: [ 5841.160861] Bluetooth: hci0: Bootloader revision 0.0 build 2 week 52 2014
Jun 22 10:45:26 drhorrible kernel: [ 5841.167883] Bluetooth: hci0: Device revision is 5
Jun 22 10:45:26 drhorrible kernel: [ 5841.167886] Bluetooth: hci0: Secure boot is enabled
Jun 22 10:45:26 drhorrible kernel: [ 5841.167888] Bluetooth: hci0: OTP lock is enabled
Jun 22 10:45:26 drhorrible kernel: [ 5841.167889] Bluetooth: hci0: API lock is enabled
Jun 22 10:45:26 drhorrible kernel: [ 5841.167891] Bluetooth: hci0: Debug lock is disabled
Jun 22 10:45:26 drhorrible kernel: [ 5841.167894] Bluetooth: hci0: Minimum firmware build 1 week 10 2014
Jun 22 10:45:26 drhorrible kernel: [ 5841.168347] Bluetooth: hci0: Found device firmware: intel/ibt-11-5.sfi
Jun 22 10:45:28 drhorrible kernel: [ 5842.776460] Bluetooth: hci0: Waiting for firmware download to complete
Jun 22 10:45:28 drhorrible kernel: [ 5842.776820] Bluetooth: hci0: Firmware loaded in 1578932 usecs
Jun 22 10:45:28 drhorrible kernel: [ 5842.776952] Bluetooth: hci0: Waiting for device to boot
Jun 22 10:45:28 drhorrible kernel: [ 5842.788897] Bluetooth: hci0: Device booted in 11731 usecs
Jun 22 10:45:28 drhorrible kernel: [ 5842.788960] Bluetooth: hci0: Found Intel DDC parameters: intel/ibt-11-5.ddc
Jun 22 10:45:28 drhorrible kernel: [ 5842.792962] Bluetooth: hci0: Applying Intel DDC parameters completed
Jun 22 10:45:28 drhorrible bluetoothd[16172]: Failed to obtain handles for "Service Changed" characteristic
Jun 22 10:45:28 drhorrible bluetoothd[16172]: Not enough free handles to register service
Jun 22 10:45:28 drhorrible bluetoothd[16172]: Error adding Link Loss service
Jun 22 10:45:28 drhorrible bluetoothd[16172]: Not enough free handles to register service
Jun 22 10:45:28 drhorrible bluetoothd[16172]: message repeated 2 times: [ Not enough free handles to register service]
Jun 22 10:45:28 drhorrible bluetoothd[16172]: Current Time Service could not be registered
Jun 22 10:45:28 drhorrible bluetoothd[16172]: gatt-time-server: Input/output error (5)
Jun 22 10:45:28 drhorrible bluetoothd[16172]: Not enough free handles to register service
Jun 22 10:45:28 drhorrible bluetoothd[16172]: Not enough free handles to register service
Jun 22 10:45:28 drhorrible systemd[1]: Reached target Bluetooth.
Jun 22 10:45:28 drhorrible bluetoothd[16172]: Sap dri...

Read more...

Singtoh (singtoh) wrote :

Hello,

Just to chime in here. I compiled bluez-5.43 and installed it on ubuntu 16.04 and it got rid of all the "Not enough free handles to register service" errors except this one "Failed to obtain handles for "Service Changed" characteristic. Before doing this there were many "Not enough free handles to register service". Any ideas on this last error "Failed to obtain handles for "Service Changed"??

Singtoh

Singtoh (singtoh) wrote :

Hello again,

I compiled bluez-5.46 & installed it on ubuntu 16.04 and this has taken care of all of the "Not enough free handles to register service" errors and also "Failed to obtain handles for "Service Changed" characteristic" errors and bluetooth is working better than it ever has, for me anyway. So for me this is solved, I suppose.

Don't know if this will help anyone?? But I hope so!

Cheers,

Singtoh

tags: removed: wily
Daniel van Vugt (vanvugt) wrote :

OK. Sounds like the fix went into some Ubuntu release between 16.10 and 18.04. Unfortunately we can't backport a fix to 16.04 if we don't know what the fix is :(

summary: - bluetoothd[650]: Failed to obtain handles for "Service Changed"
- characteristic
+ Not enough free handles to register service
Changed in bluez (Ubuntu):
status: Confirmed → Fix Released
Changed in bluez (Ubuntu Xenial):
status: New → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers